<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */

include('nav.php');

class Ctrl_Nodeworx_LveManager extends Ctrl_Nodeworx_Plugin {
	protected function _init() 
	{
		if( IW::NW()->isReseller() ) 
		{
			throw new IWorx_Exception_ActionBlocked( '##LG_ACTION_BLOCKED##' );
	  	}
	}

	public function indexAction() 
	{

		if(isset($_GET['timer']))
		{
        		$timer = $_GET['timer'];
		}
		else
		{
        		$timer = 0;
		}
		if(isset($_GET['scrollpos']))
		{
        		$scrollpos = $_GET['scrollpos'];
		}
		else
		{
        		$scrollpos = 0;
		}


		ob_start();
		passthru("/usr/sbin/lveps");
		$epsInfoTmp = ob_get_contents();
		ob_end_clean();


		$this->getView()->assign( 'title', 'CloudLinux Manager' );
		$this->getView()->assign( 'template', 'admin/home' );
                $this->getView()->assign( 'timer', $timer );
                $this->getView()->assign( 'scrollpos', $scrollpos );
		$this->getView()->assign( 'epsInfo', $epsInfoTmp );
		$this->getView()->assign( 'nav', nav('home') );
 	}
}


?>
