<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */

if (!defined('PLESK_ROOT_DIR')) {
    define('PLESK_ROOT_DIR', "/usr/local/psa/admin/");
}
if (!defined('BACKUP_DIR')) {
    define('BACKUP_DIR', PLESK_ROOT_DIR.'.backup_lvemanager/');
}

if (!defined('PLESK_RESOURCES')) {
    define('PLESK_RESOURCES', PLESK_ROOT_DIR.'plib/modules/plesk-lvemanager/resources/');
}

pm_Context::init('plesk-lvemanager');
/**
 * Removing of custom buttons.
 */

/*
 * Uncomment when user's part will be ready
 *
if (version_compare(Modules_PleskLvemanager_CheckData::getPleskVersion(), '12.0') < 0) {
    $installer = new Modules_PleskLvemanager_CustomButtonsInstaller();
    $installer->deleteButtons();
}
*/

/**
 * Backup of existing locales.
 */
if (file_exists(PLESK_RESOURCES) && file_exists(BACKUP_DIR)) {
    exec('rm -rf '.BACKUP_DIR.'resources');
    exec('cp -r '.PLESK_RESOURCES.' '.BACKUP_DIR);
}
