<?php
/**
 * Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
 *
 * Licensed under CLOUD LINUX LICENSE AGREEMENT
 * http://cloudlinux.com/docs/LICENSE.TXT
 */

function veProcParser()
{
        $procAr = array();

        $file = file("/proc/lve/list");

        foreach($file as $val)
        {

                $tmpVal = explode(chr(9), $val);
                if(is_numeric($tmpVal[0]))
                {
                        $procAr[$tmpVal[0]] = array();
                        $procAr[$tmpVal[0]]['EP'] = $tmpVal[1];
                        $procAr[$tmpVal[0]]['lCPU'] = $tmpVal[2];
                        $procAr[$tmpVal[0]]['lIO'] = $tmpVal[3];
                        $procAr[$tmpVal[0]]['CPU'] = $tmpVal[4];
                        $procAr[$tmpVal[0]]['MEM'] = $tmpVal[5];
                        $procAr[$tmpVal[0]]['IO'] = $tmpVal[6];
                        $procAr[$tmpVal[0]]['lMEM'] = $tmpVal[7];
                        $procAr[$tmpVal[0]]['lEP'] = $tmpVal[8];
                        $procAr[$tmpVal[0]]['nCPU'] = $tmpVal[9];
                        $procAr[$tmpVal[0]]['fMEM'] = $tmpVal[10];
                        $procAr[$tmpVal[0]]['fEP'] = $tmpVal[11];

                }
        }

        return $procAr;
}


?>

