#!/bin/bash

# Copyright © Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2019 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

if [ ! -e "/usr/local/psa/admin/.matplotlib" ]; then
    mkdir -p /usr/local/psa/admin/.matplotlib
    chown psaadm:psaadm /usr/local/psa/admin/.matplotlib
fi

if [ ! -e "/usr/local/psa/admin/.backup_lvemanager" ]; then
    mkdir -p /usr/local/psa/admin/.backup_lvemanager
fi
chown psaadm:psaadm /usr/local/psa/admin/.backup_lvemanager
chmod 0775 /usr/local/psa/admin/.backup_lvemanager

# Improve this section by adding loop between custom plugins ["Resource Usage", "PHP Selector"]

PLUGINID=`/usr/local/psa/bin/custombutton -l | grep "Resource Usage" | cut -f1 -d' '`

if [ -n "$PLUGINID" ]; then
    /usr/local/psa/bin/custombutton --remove "$PLUGINID"
fi

PLUGINID=`/usr/local/psa/bin/custombutton -l | grep "PHP Selector" | cut -f1 -d' '`

if [ -n "$PLUGINID" ]; then
    /usr/local/psa/bin/custombutton --remove "$PLUGINID"
fi

/usr/share/l.v.e-manager/utils/dynamicui.py --sync-conf=all